
--[[ EN ]]

-- To create a new module, change every occurence of 'Template' to your module's name
-- (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'Template' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "KQMediaFutureman";										-- !!!
local moduleid = "fm"														-- keep this short
local moduleData = nil
local frame = CreateFrame("Frame", "KQMediaFuturemanFakeFrame") 				-- !!!

function KQMediaFutureman_OnEvent(this, event, ...) 							-- !!!
	local arg1 = select(1, ...)
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        KQMediaFutureman_Init()												-- !!!
        if (IsAddOnLoaded("KQuote")) then
	        KQ_InitModule(moduleData)
        end
        if (IsAddOnLoaded("WoWQuote2")) then
	        WQ2_InitModule(moduleData)
        end
        frame:UnregisterEvent("ADDON_LOADED")
    end
end

frame:SetScript("OnEvent", KQMediaFutureman_OnEvent)							-- !!!
frame:RegisterEvent("ADDON_LOADED")

function KQMediaFutureman_Init()												-- !!!
    moduleData = {
		name = "Futureman",													-- !!!
    	moduleid = moduleid,
    	mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
		mediadata = nil,
		-- tags = {["tagid"] = "Description"}  			-- add your own tags here, if any
		tags = {["pet"] = "Pet"}
    }

    moduleData.mediadata =
{
-- replace this list of data with your own	
{
	-- for modules other than the Default module, prepend the id index number
	-- with the module's id;
	-- 		i.e.   id = "mine:001"

	-- bei anderen als dem Futureman-Module, muß dem ID-Index die moduleid
	-- vorangestellt werden;
	-- 		z.B.   id = "mine:001"

    id = "fm:01",
    file = "an dritter stelle.ogg",
    len = 4,											-- length in seconds
    msg = "An dritter Stelle",
    tags = {"hunter", "pve"},
    --  You may add one or more tags.
    --  See KQuote's 'Localization.lua' for a list of inbuildt tags.
    
    -- emote = "/wink",
    --  To use one of the inbuildt emotes, you have to use the emote token
    --   as can be seen on http://www.wowwiki.com/API_TYPE_Emotes_Token
    --   and prefix it with a slash ("/"). The token string will automatically
    --   be converted to upper case.
    --  If the slash is omitted, the text will be handled like the /me command.
    
    -- targeted = "winks at %t",
    --  This emote will be used if the player has a target selected.
    --  '%t' will be replaced by the target's name.
    --  (Ignored if 'emote' references an inbuildt emote.)
},
{
    id = "fm:02",
    file = "da hat einer maechtig gut aggro gezogen.ogg",
    len = 4,
    msg = "Da hat einer mächtig Aggro gezogen",
    tags = {"pve"},
},
{
    id = "fm:03",
    file = "dann hatter ken bock mehr.ogg",
    len = 1,
    msg = "Dann hatter ken Bock mehr",
    tags = {"group"},
},
{
    id = "fm:04",
    file = "dann muss er zuhause bleiben.ogg",
    len = 2,
    msg = "Dann muß er zuhause bleiben",
},
{
    id = "fm:05",
    file = "dem geb ich jetzt mal n mal.ogg",
    len = 2,
    msg = "Dem geb ich jetzt mal 'n Mal",
    tags = {"hunter"},
},
{
    id = "fm:06",
    file = "den kann man mal uebersehen.ogg",
    len = 3,
    msg = "Den kann man manchmal übersehen",
    tags = {"negative"},
},
{
    id = "fm:07",
    file = "den muessen wa als erstes killen.ogg",
    len = 2,
    msg = "Den müssen wa als erstes killen",
},
{
    id = "fm:08",
    file = "der Tip war richtig geil.ogg",
    len = 1,
    msg = "Der Tip war richtig geil!",
    tags = {"positive"},
},
{
    id = "fm:09",
    file = "der war doch schon runter.ogg",
    len = 2,
    msg = "Der Alte war doch schon runter",
},
{
    id = "fm:10",
    file = "dieses komische fremdwort.ogg",
    len = 5,
    msg = "Ingenieur, dieses Fremdwort",
},
{
    id = "fm:11",
    file = "drauf drauf drauf.ogg",
    len = 4,
    msg = "Drauf, drauf, drauf",
},
{
    id = "fm:12",
    file = "ein jaeger ist ohne pet gar nichts.ogg",
    len = 3,
    msg = "Ein Jäger ist ohne seit Pet nichts",
    tags = {"hunter", "pet"},
},
{
    id = "fm:13",
    file = "eisfalle.ogg",
    len = 2,
    msg = "Eisfalle?",
    tags = {"hunter"},
},
{
    id = "fm:14",
    file = "genau.ogg",
    len = 1,
    msg = "Genau",
},
{
    id = "fm:15",
    file = "grade erst gerezzt ey.ogg",
    len = 1,
    msg = "Grade erst gerezzt, ey!",
},
{
    id = "fm:16",
    file = "hat was.ogg",
    len = 1,
    msg = "Hat was",
    tags = {"positive"},
},
{
    id = "fm:17",
    file = "ich als futureman.ogg",
    len = 1,
    msg = "Ich als Futureman",
},
{
    id = "fm:18",
    file = "ich hab da ein lachen gehoert.ogg",
    len = 3,
    msg = "Ich hab da ein Lachen gehört!",
},
{
    id = "fm:19",
    file = "ich hab mein pet geheilt.ogg",
    len = 2,
    msg = "Ich hab mein Pet geheilt",
    tags = {"hunter", "pet"},
},
{
    id = "fm:20",
    file = "ich habn umgelegt.ogg",
    len = 5,
    msg = "Ich hab 'n umgelegt!",
    tags = {"positive"},
},
{
    id = "fm:21",
    file = "ich mach nur noch damage.ogg",
    len = 3,
    msg = "Ich mach nur noch Damage",
},
{
    id = "fm:22",
    file = "jaeger an erster stelle.ogg",
    len = 7,
    msg = "Jäger an erster Stelle",
    tags = {"hunter", "pve"},
},
{
    id = "fm:23",
    file = "jetzt liegts an dir.ogg",
    len = 1,
    msg = "Jetzt liegt's an dir",
},
{
    id = "fm:24",
    file = "jut gelaufen.ogg",
    len = 2,
    msg = "Jut gelaufen",
},
{
    id = "fm:25",
    file = "lass es doch einfach kaputt.ogg",
    len = 1,
    msg = "Laß es doch einfach kaputt!",
},
{
    id = "fm:26",
    file = "mein guter freund.ogg",
    len = 1,
    msg = "Mein guter Freund",
    tags = {"pet"},
},
{
    id = "fm:27",
    file = "n hexer kann nicht sheepen.ogg",
    len = 3,
    msg = "'N Hexer kann nicht sheepen?",
    tags = {"warlock"},
},
{
    id = "fm:28",
    file = "nicht schlecht gelaufen.ogg",
    len = 1,
    msg = "Nicht schlecht gelaufen",
    tags = {"positive"},
},
{
    id = "fm:29",
    file = "ohne heiler.ogg",
    len = 4,
    msg = "Ohne Heiler",
    tags = {"paladin"},
},
{
    id = "fm:30",
    file = "reinrotzen nicht rumstehen.ogg",
    len = 4,
    msg = "Reinrotzen, nicht da rumstehen",
    tags = {"hunter", "negative"},
},
{
    id = "fm:31",
    file = "schon wieder das pet tot.ogg",
    len = 1,
    msg = "Schon wieder das Pet tot?",
    tags = {"hunter", "pet"},
},
{
    id = "fm:32",
    file = "so ne kacke.ogg",
    len = 1,
    msg = "So ne Kacke",
    tags = {"negative"},
},
{
    id = "fm:33",
    file = "so schnell haut er nich ab.ogg",
    len = 1,
    msg = "So schnell haut er nich ab",
    tags = {"hunter", "pet"},
},
{
    id = "fm:34",
    file = "stell dich mal tot.ogg",
    len = 1,
    msg = "Stell dich mal tot",
    tags = {"hunter", "pve"},
},
{
    id = "fm:35",
    file = "totstellen.ogg",
    len = 3,
    msg = "Ich konnt' mich noch totstellen",
    tags = {"hunter"},
},
{
    id = "fm:36",
    file = "war des eener von euch.ogg",
    len = 1,
    msg = "War des eener von euch?",
    tags = {"group"},
},
{
    id = "fm:37",
    file = "war ich jetzt oder wat.ogg",
    len = 1,
    msg = "War ich jetzt oder wat?",
},
{
    id = "fm:38",
    file = "was stehst du da herum.ogg",
    len = 3,
    msg = "Was stehst du herum?",
    tags = {"group", "negative"},
},
{
    id = "fm:39",
    file = "wir sind ne gute truppe.ogg",
    len = 2,
    msg = "Wir sind 'ne gute Truppe",
    tags = {"group", "positive"},
},
{
    id = "fm:40",
    file = "wo bleibt deine solidaritaet.ogg",
    len = 2,
    msg = "Wo bleibt deine Solidarität",
    tags = {"group"},
},
{
    id = "fm:41",
    file = "wo kamen die denn her.ogg",
    len = 2,
    msg = "Wo kamen die denn her?",
},
{
    id = "fm:42",
    file = "tut mir leid.ogg",
    len = 5,
    msg = "Tut mir leid",
    tags = {"group"},
},
-- end of media data
}
end -- KQMedia..._Init

